> For the complete documentation index, see [llms.txt](https://docs.hos.accessacloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hos.accessacloud.com/atreemo-api/api-reference/atreemo-api-reference/basket.md).

# Basket

Api Methods for Basket

## AutoRedeemBenefit

> Auto select voucher for redemption

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"AutoRedemptionValidationInput":{"type":"object","properties":{"Basket":{"allOf":[{"$ref":"#/components/schemas/Basket"}],"description":"The basket"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"}}},"Basket":{"type":"object","properties":{"BasketItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketItem"},"description":"The list of basket details"},"LocationID":{"type":"string","description":"the ID of the site"},"OrderDate":{"type":"string","format":"date-time","nullable":true,"description":"The Date of order"},"OrderID":{"type":"integer","format":"int32","description":"The order ID"},"SourceID":{"type":"string","description":"The source of the basket"},"TotalCost":{"type":"number","format":"double","description":"The total amount"},"TotalCostExclTax":{"type":"number","format":"double","description":"The total amount without VAT"},"VATNumber":{"type":"string","description":"VAT ID"}}},"BasketItem":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID).It should be empty when the order is linked to one customer"},"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"ModifierItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketModifiersItem"},"description":"The list of modifiers"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item without VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketModifiersItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item witout VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"RedemptionValidationOutput":{"type":"object","properties":{"DiscountItem":{"allOf":[{"$ref":"#/components/schemas/BasketDiscountItem"}],"description":"The discount details"},"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"Response":{"type":"boolean","description":"The status of the call"}}},"BasketDiscountItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","description":"The amount of the discount related to this item"},"RedemptionID":{"type":"string","description":"The unique identifier of the redemption"},"VoucherCode":{"type":"string","description":"The benefit code used for this discount"}}}}},"paths":{"/api/Basket/AutoRedeemBenefit":{"post":{"operationId":"BasketAutoRedeemBenefit","summary":"AutoRedeemBenefit","tags":["Basket"],"description":"Auto select voucher for redemption","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutoRedemptionValidationInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionValidationOutput"}}}}}}}}}
```

## Burn

> Burn points

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BasketPointInput":{"type":"object","properties":{"Basket":{"allOf":[{"$ref":"#/components/schemas/Basket"}],"description":"The basket"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Description":{"type":"string","description":"Description of the transaction"},"Payment":{"allOf":[{"$ref":"#/components/schemas/BasketPayment"}],"description":"The payment method used to earn point"}}},"Basket":{"type":"object","properties":{"BasketItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketItem"},"description":"The list of basket details"},"LocationID":{"type":"string","description":"the ID of the site"},"OrderDate":{"type":"string","format":"date-time","nullable":true,"description":"The Date of order"},"OrderID":{"type":"integer","format":"int32","description":"The order ID"},"SourceID":{"type":"string","description":"The source of the basket"},"TotalCost":{"type":"number","format":"double","description":"The total amount"},"TotalCostExclTax":{"type":"number","format":"double","description":"The total amount without VAT"},"VATNumber":{"type":"string","description":"VAT ID"}}},"BasketItem":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID).It should be empty when the order is linked to one customer"},"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"ModifierItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketModifiersItem"},"description":"The list of modifiers"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item without VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketModifiersItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item witout VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketPayment":{"type":"object","properties":{"AmountPaid":{"type":"number","format":"double","description":"Amount paid"},"PaymentMethodName":{"type":"string","description":"The Payment method name"}}},"BasketPointOutput":{"type":"object","properties":{"CashBalance":{"type":"number","format":"double","description":"The cash balance of the customer"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"PointBalance":{"type":"number","format":"double","description":"The point balance of the customer"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/Burn":{"post":{"operationId":"BasketBurn","summary":"Burn","tags":["Basket"],"description":"Burn points","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointOutput"}}}}}}}}}
```

## CancelBasket

> Cancel the basket

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BasketCancellationInput":{"type":"object","properties":{"BasketID":{"type":"string","description":"The ID basket"},"OrderID":{"type":"string","description":"The ID of the orderbasket"}}},"BasketCancellationOutput":{"type":"object","properties":{"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/CancelBasket":{"post":{"operationId":"BasketCancelBasket","summary":"CancelBasket","tags":["Basket"],"description":"Cancel the basket","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketCancellationInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketCancellationOutput"}}}}}}}}}
```

## CancelBurnPoint

> Revert points

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BasketPointInput":{"type":"object","properties":{"Basket":{"allOf":[{"$ref":"#/components/schemas/Basket"}],"description":"The basket"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Description":{"type":"string","description":"Description of the transaction"},"Payment":{"allOf":[{"$ref":"#/components/schemas/BasketPayment"}],"description":"The payment method used to earn point"}}},"Basket":{"type":"object","properties":{"BasketItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketItem"},"description":"The list of basket details"},"LocationID":{"type":"string","description":"the ID of the site"},"OrderDate":{"type":"string","format":"date-time","nullable":true,"description":"The Date of order"},"OrderID":{"type":"integer","format":"int32","description":"The order ID"},"SourceID":{"type":"string","description":"The source of the basket"},"TotalCost":{"type":"number","format":"double","description":"The total amount"},"TotalCostExclTax":{"type":"number","format":"double","description":"The total amount without VAT"},"VATNumber":{"type":"string","description":"VAT ID"}}},"BasketItem":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID).It should be empty when the order is linked to one customer"},"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"ModifierItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketModifiersItem"},"description":"The list of modifiers"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item without VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketModifiersItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item witout VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketPayment":{"type":"object","properties":{"AmountPaid":{"type":"number","format":"double","description":"Amount paid"},"PaymentMethodName":{"type":"string","description":"The Payment method name"}}},"BasketPointOutput":{"type":"object","properties":{"CashBalance":{"type":"number","format":"double","description":"The cash balance of the customer"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"PointBalance":{"type":"number","format":"double","description":"The point balance of the customer"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/CancelBurnPoint":{"post":{"operationId":"BasketCancelBurnPoint","summary":"CancelBurnPoint","tags":["Basket"],"description":"Revert points","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointOutput"}}}}}}}}}
```

## CancelEarnPoint

> Revert points

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BasketPointInput":{"type":"object","properties":{"Basket":{"allOf":[{"$ref":"#/components/schemas/Basket"}],"description":"The basket"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Description":{"type":"string","description":"Description of the transaction"},"Payment":{"allOf":[{"$ref":"#/components/schemas/BasketPayment"}],"description":"The payment method used to earn point"}}},"Basket":{"type":"object","properties":{"BasketItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketItem"},"description":"The list of basket details"},"LocationID":{"type":"string","description":"the ID of the site"},"OrderDate":{"type":"string","format":"date-time","nullable":true,"description":"The Date of order"},"OrderID":{"type":"integer","format":"int32","description":"The order ID"},"SourceID":{"type":"string","description":"The source of the basket"},"TotalCost":{"type":"number","format":"double","description":"The total amount"},"TotalCostExclTax":{"type":"number","format":"double","description":"The total amount without VAT"},"VATNumber":{"type":"string","description":"VAT ID"}}},"BasketItem":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID).It should be empty when the order is linked to one customer"},"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"ModifierItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketModifiersItem"},"description":"The list of modifiers"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item without VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketModifiersItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item witout VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketPayment":{"type":"object","properties":{"AmountPaid":{"type":"number","format":"double","description":"Amount paid"},"PaymentMethodName":{"type":"string","description":"The Payment method name"}}},"BasketPointOutput":{"type":"object","properties":{"CashBalance":{"type":"number","format":"double","description":"The cash balance of the customer"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"PointBalance":{"type":"number","format":"double","description":"The point balance of the customer"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/CancelEarnPoint":{"post":{"operationId":"BasketCancelEarnPoint","summary":"CancelEarnPoint","tags":["Basket"],"description":"Revert points","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointOutput"}}}}}}}}}
```

## ConfirmRedeemBenefit

> confirm the redemtion of a voucher

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BenefitRedemptionInput":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","nullable":true,"description":"The ID of the customer (CtcID)"},"RedemptionID":{"type":"string","description":"The ID of the redemption to confirm"}}},"BenefitRedemptionOutput":{"type":"object","properties":{"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/ConfirmRedeemBenefit":{"post":{"operationId":"BasketConfirmRedeemBenefit","summary":"ConfirmRedeemBenefit","tags":["Basket"],"description":"confirm the redemtion of a voucher","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitRedemptionInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitRedemptionOutput"}}}}}}}}}
```

## Earn

> Earn points

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BasketPointInput":{"type":"object","properties":{"Basket":{"allOf":[{"$ref":"#/components/schemas/Basket"}],"description":"The basket"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Description":{"type":"string","description":"Description of the transaction"},"Payment":{"allOf":[{"$ref":"#/components/schemas/BasketPayment"}],"description":"The payment method used to earn point"}}},"Basket":{"type":"object","properties":{"BasketItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketItem"},"description":"The list of basket details"},"LocationID":{"type":"string","description":"the ID of the site"},"OrderDate":{"type":"string","format":"date-time","nullable":true,"description":"The Date of order"},"OrderID":{"type":"integer","format":"int32","description":"The order ID"},"SourceID":{"type":"string","description":"The source of the basket"},"TotalCost":{"type":"number","format":"double","description":"The total amount"},"TotalCostExclTax":{"type":"number","format":"double","description":"The total amount without VAT"},"VATNumber":{"type":"string","description":"VAT ID"}}},"BasketItem":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID).It should be empty when the order is linked to one customer"},"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"ModifierItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketModifiersItem"},"description":"The list of modifiers"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item without VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketModifiersItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item witout VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketPayment":{"type":"object","properties":{"AmountPaid":{"type":"number","format":"double","description":"Amount paid"},"PaymentMethodName":{"type":"string","description":"The Payment method name"}}},"BasketPointOutput":{"type":"object","properties":{"CashBalance":{"type":"number","format":"double","description":"The cash balance of the customer"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"PointBalance":{"type":"number","format":"double","description":"The point balance of the customer"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/Earn":{"post":{"operationId":"BasketEarn","summary":"Earn","tags":["Basket"],"description":"Earn points","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasketPointOutput"}}}}}}}}}
```

## RedeemBenefit

> This method allows to retrieve discount amount if the voucher is eligible to be redeemed in this basket.

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"RedemptionValidationInput":{"type":"object","properties":{"Basket":{"allOf":[{"$ref":"#/components/schemas/Basket"}],"description":"The basket"},"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID)"},"redemptionType":{"description":"The redemption type of the voucher (Documented as type `RedemptionType`. No values are listed on this property; the published description of `ValidateVoucherInput.redemptionType` lists values for the same type name, which is not evidence that the same list applies here.)","type":"integer","format":"int32"},"VoucherCode":{"type":"string","description":"The voucher code to be redeemed"}}},"Basket":{"type":"object","properties":{"BasketItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketItem"},"description":"The list of basket details"},"LocationID":{"type":"string","description":"the ID of the site"},"OrderDate":{"type":"string","format":"date-time","nullable":true,"description":"The Date of order"},"OrderID":{"type":"integer","format":"int32","description":"The order ID"},"SourceID":{"type":"string","description":"The source of the basket"},"TotalCost":{"type":"number","format":"double","description":"The total amount"},"TotalCostExclTax":{"type":"number","format":"double","description":"The total amount without VAT"},"VATNumber":{"type":"string","description":"VAT ID"}}},"BasketItem":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","description":"The ID of the customer (CtcID).It should be empty when the order is linked to one customer"},"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"ModifierItems":{"type":"array","items":{"$ref":"#/components/schemas/BasketModifiersItem"},"description":"The list of modifiers"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item without VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"BasketModifiersItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","format":"double","description":"The discount amount"},"ItemID":{"type":"integer","format":"int32","description":"the Unique identifier of the basket item"},"Name":{"type":"string","description":"The name of the product"},"PointsDiscount":{"type":"number","format":"double","description":"The points to be burnt"},"ProductCode":{"type":"string","description":"The code of the product"},"Quantity":{"type":"number","format":"double","description":"Quantity"},"TotalAmount":{"type":"number","format":"double","description":"The amount paid (will be used to calculate the number of points earnt)"},"TotalAmountExclTax":{"type":"number","format":"double","description":"The total amount of the basket item witout VAT"},"UnitPrice":{"type":"number","format":"double","description":"The unit price of the product"}}},"RedemptionValidationOutput":{"type":"object","properties":{"DiscountItem":{"allOf":[{"$ref":"#/components/schemas/BasketDiscountItem"}],"description":"The discount details"},"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"Response":{"type":"boolean","description":"The status of the call"}}},"BasketDiscountItem":{"type":"object","properties":{"DiscountAmount":{"type":"number","description":"The amount of the discount related to this item"},"RedemptionID":{"type":"string","description":"The unique identifier of the redemption"},"VoucherCode":{"type":"string","description":"The benefit code used for this discount"}}}}},"paths":{"/api/Basket/RedeemBenefit":{"post":{"operationId":"BasketRedeemBenefit","summary":"RedeemBenefit","tags":["Basket"],"description":"This method allows to retrieve discount amount if the voucher is eligible to be redeemed in this basket.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionValidationInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionValidationOutput"}}}}}}}}}
```

## RevertBenefitRedemption

> Cancel the redemption of a voucher

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"Basket","description":"Api Methods for Basket"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"BenefitRedemptionInput":{"type":"object","properties":{"CustomerID":{"type":"integer","format":"int32","nullable":true,"description":"The ID of the customer (CtcID)"},"RedemptionID":{"type":"string","description":"The ID of the redemption to confirm"}}},"BenefitRedemptionOutput":{"type":"object","properties":{"Error":{"type":"array","items":{"type":"string"},"description":"The list of errors description"},"Response":{"type":"boolean","description":"The status of the call"}}}}},"paths":{"/api/Basket/RevertBenefitRedemption":{"post":{"operationId":"BasketRevertBenefitRedemption","summary":"RevertBenefitRedemption","tags":["Basket"],"description":"Cancel the redemption of a voucher","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitRedemptionInput"}}}},"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitRedemptionOutput"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hos.accessacloud.com/atreemo-api/api-reference/atreemo-api-reference/basket.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
